| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ODFontImplementation Class Reference
uiOSG

`#include <odfontimplementation.h>`

Inheritance diagram for ODFontImplementation:
[legend]

## Public Member Functions
| ODFontImplementation (const QFont &font)
virtual | ~ODFontImplementation ()
std::string | getFileName () const override
osgText::Glyph * | getGlyph (const osgText::FontResolution &, unsigned int charcode) override
osgText::Glyph3D * | getGlyph3D (unsigned int) override
osg::Vec2 | getKerning (unsigned int leftcharcode, unsigned int rightcharcode, osgText::KerningType kerningType) override
bool | hasVertical () const override
bool | supportsMultipleFontResolutions () const override

## Protected Attributes
std::string | _filename
QFont | _font

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ODFontImplementation()

ODFontImplementation::ODFontImplementation | ( | const QFont & | font | ) |

## ◆ ~ODFontImplementation()

virtual ODFontImplementation::~ODFontImplementation | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getFileName()

std::string ODFontImplementation::getFileName | ( |  | ) | const
| override

## ◆ getGlyph()

osgText::Glyph * ODFontImplementation::getGlyph | ( | const osgText::FontResolution & | ,
|  | unsigned int | charcode )
| override

## ◆ getGlyph3D()

osgText::Glyph3D * ODFontImplementation::getGlyph3D | ( | unsigned int |  | ) |
| inline override

## ◆ getKerning()

osg::Vec2 ODFontImplementation::getKerning | ( | unsigned int | leftcharcode,
|  | unsigned int | rightcharcode,
|  | osgText::KerningType | kerningType )
| inline override

## ◆ hasVertical()

bool ODFontImplementation::hasVertical | ( |  | ) | const
| inline override

## ◆ supportsMultipleFontResolutions()

bool ODFontImplementation::supportsMultipleFontResolutions | ( |  | ) | const
| inline override

## Member Data Documentation

## ◆ _filename

std::string ODFontImplementation::_filename
| protected

## ◆ _font

QFont ODFontImplementation::_font
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025